Bug 365261 - No way to change touchpad behaviour in a security-sane way
No way to change touchpad behaviour in a security-sane way
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-03 11:03 EDT by Roland Wolters
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-06 09:04:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Roland Wolters 2007-11-03 11:03:51 EDT
Description of problem:
There is currently no way to change the behaviour of synaptics touchpads 
(enable/disable) in a security-sane way.
The only way is to activate the option "SHMConfig" in the touchpad driver 
section of xorg.conf. If that is done however any user can switch on and off 
the touchpad which is a security risk.

How reproducible:
Use a laptop with touchpad, try to turn it on or off.
  
Actual results:
It is not possible until you activate the above mentioned option - then 
however every user can switch the behaviour without any authentication.

Expected results:
It should be possible for the user - and only that one - to change the 
touchpad behaviour.

Additional info:
Since Fedora 8 comes along with new authentication methods (PolicyKit) I 
wonder if this problem can be solved with that as well.
Comment 1 Matthias Clasen 2007-11-04 22:04:04 EST
See the discussion in 

http://mail.gnome.org/archives/desktop-devel-list/2007-November/msg00004.html

and followups. People are working on exposing touchpad configuration properly
via XInput instead of SHMConfig.
Comment 2 Roland Wolters 2007-11-05 07:54:48 EST
Thanks for the information, I hope that a solution will be available and can 
be included with Fedora soon.
Comment 5 Matthias Clasen 2007-11-06 08:24:01 EST
I don't care much. Either close it upstream, or move it to F9Target as a
reminder to look after this.
Comment 6 Roland Wolters 2007-11-06 09:04:18 EST
Closed as an upstream problem.

Note You need to log in before you can comment on or make changes to this bug.